View Issue Details

IDProjectCategoryView StatusLast Update
0026149Open CASCADEOCCT:Visualizationpublic2021-12-08 15:44
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version6.9.0 
Target Version7.0.0Fixed in Version7.0.0 
Summary0026149: Visualization - depth buffer should not be written within Z-layers without Graphic3d_ZLayerDepthWrite flag
DescriptionThere are several issues in current Depth-buffer clearing logic within Z-layers list:
- Graphic3d_ZLayerDepthWrite flag might be erroneously overwritten within the layer.
- Depth clearing state is not well-handled in TKOpenGl. In particular, it might perform redundant clearing (Depth buffer is cleared automatically with Color buffer at the very beginning of the redrawing, this is why Graphic3d_ZLayerId_Default has no Graphic3d_ZLayerDepthClear flag - just for optimization. Another issue is that within OpenGl_LayerList::Render() empty layers are not drawn at all which might lead to the case when sequence of Z-layers with clear/no-clear rules will not clear buffer before the second layer since the first one is empty:
      const OpenGl_Layer& aLayer = anIts.Value();
      if (aLayer.NbStructures() < 1)
      {


It is considered to revise this logic to ensure Depth-clearing consistency as well as preserving optimization (to avoid clearing when it is not necessary).
Steps To Reproducetest/bugs/vis/bug26149
TagsNo tags attached.
Test case numberbugs vis bug26149

Attached Files

  • underlay_KO.png (5,233 bytes)

Relationships

parent of 0032724 verifiedsmoskvin Coding Rules, Graphic3d_Structure - remove unused property Graphic3d_Structure::ContainsFacet() 
child of 0025783 closedbugmaster Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay 

Activities

kgv

2015-04-26 12:32

developer  

underlay_KO.png (5,233 bytes)

git

2015-04-30 12:13

administrator   ~0040466

Branch CR26149 has been created by isz.

SHA-1: 27e868d5ff15cae6fc39a39cd3d872a1c5ef5c29


Detailed log of new commits:

Author: isz
Date: Thu Apr 30 12:13:11 2015 +0300

    0026149: Visualization - depth buffer should be cleared after bottom layer by default
    
    Depth buffer now is cleared after bottom layer.

git

2015-05-14 11:59

administrator   ~0040886

Branch CR26149 has been updated forcibly by isz.

SHA-1: dfe8803928c13ac6f34210b0d2a56b85926afd59

git

2015-05-14 12:02

administrator   ~0040888

Branch CR26149 has been updated forcibly by isz.

SHA-1: 409efcb1cbec4a6983f28baf55212a4316ad50ec

isz

2015-05-14 12:04

developer   ~0040889

Dear Kirill,
Please review branch CR26149.

kgv

2015-05-14 12:13

developer   ~0040891

-    const OpenGl_Layer& aLayer = anIts.Value();
+    OpenGl_Layer aLayer = anIts.Value();

it is not applicable to copy entire layer with all structures during iteration!

+      aLayer.SetLayerSettings (aSettings);

it looks inconvenient to modify layer settings - please consider passing changes as arguments.

git

2015-05-14 12:48

administrator   ~0040898

Branch CR26149 has been updated forcibly by isz.

SHA-1: d3ad9f04280c48a4dc9a062611be7570c2a4049a

isz

2015-05-14 12:49

developer   ~0040899

Dear Kirill,
Please review branch CR26149.

git

2015-05-14 18:00

administrator   ~0041152

Branch CR26149 has been updated forcibly by isz.

SHA-1: f5af2455332a61cc9f0ce08ed868062c370f9083

kgv

2015-05-18 12:51

developer   ~0041224

Dear Ivan,

the patch is incorrect due to false root-cause detection.
The original problem comes not from the fact that Depth buffer is not cleared after Graphic3d_ZLayerId_BotOSD layer before Graphic3d_ZLayerId_Default (which should be logically OK), but from the fact that rendering into Graphic3d_ZLayerId_BotOSD layer affects Depth buffer at all while it's default settings should prevent this (no Graphic3d_ZLayerDepthWrite flag).

The most likely source of this misbehavior is:
void OpenGl_Workspace::updateMaterial (const int theFlag)
...
      glDepthMask (GL_TRUE);

git

2015-05-22 13:42

administrator   ~0041425

Branch CR26149_1 has been created by isz.

SHA-1: e696bf2a3dda771c281b56ff25aca8850d847b5e


Detailed log of new commits:

Author: isz
Date: Fri May 22 13:42:11 2015 +0300

    0026149: Visualization - depth buffer should not be written within Z-layers without Graphic3d_ZLayerDepthWrite flag
    
    Added new flag myUseDepthWrite in OpenGl_Workspace to control writing in depth buffer. Method updateMaterial() was changed to prevent influence on depth buffer without certain flags.

isz

2015-05-22 13:44

developer   ~0041426

Dear Kirill,
Please review branch CR26149_1.

kgv

2015-05-22 14:44

developer   ~0041431

+  theWorkspace->UseDepthWrite() = IsSettingEnabled (Graphic3d_ZLayerDepthWrite) ? GL_TRUE : GL_FALSE;

the Boolean conversion is redundant here and incorrect.

+ Standard_Boolean       myUseDepthWrite;

new field should be initialized in constructor.
Please also set this variable at the very beginning of scene rendering and in redrawImmediate() after Z-layers rendering.

git

2015-05-26 13:31

administrator   ~0041554

Branch CR26149_2 has been created by isz.

SHA-1: d733115162105539bb927a8e0b1e9d9e042894ca


Detailed log of new commits:

Author: isz
Date: Tue May 26 13:21:22 2015 +0300

    0026149: Visualization - depth buffer should not be written within Z-layers without Graphic3d_ZLayerDepthWrite flag
    
    Added new flag myUseDepthWrite in OpenGl_Workspace to control writing in depth buffer. Method updateMaterial() was changed to prevent influence on depth buffer without certain flags.

git

2015-05-27 11:40

administrator   ~0041594

Branch CR26149_2 has been updated forcibly by isz.

SHA-1: a045d899856b8100dbe7d5df6fde794ae8eefe5d

isz

2015-05-27 11:41

developer   ~0041595

Dear Kirill,
Please review branch CR26149_2.

git

2015-05-27 14:40

administrator   ~0041604

Branch CR26149_2 has been updated forcibly by isz.

SHA-1: ee14708c3a81879fcec5627ef769fe498501107a

git

2015-05-28 12:59

administrator   ~0041653

Branch CR26149_2 has been updated by isz.

SHA-1: 6355e1fc6d071c2d30db5b113f1c6fa22a9a7be9


Detailed log of new commits:

Author: isz
Date: Thu May 28 12:58:01 2015 +0300

    Cosmetic fixes.

git

2015-05-29 10:18

administrator   ~0041697

Branch CR26149_3 has been created by kgv.

SHA-1: c28ee2bf0ec0e5026a2f8ca1493c9256b14f4669


Detailed log of new commits:

Author: isz
Date: Fri May 29 10:18:09 2015 +0300

    0026149: Visualization - depth buffer should not be written within Z-layers without Graphic3d_ZLayerDepthWrite flag
    
    OpenGl_Workspace::updateMaterial() - do not activate writing into Depth buffer without Graphic3d_ZLayerDepthWrite flag.
    Add method OpenGl_Workspace::UseDepthWrite() to track glDepthMask() state.
    
    Drop the following outdated API methods conflicting with Z-layers API:
    - V3d_View::EnableDepthTest(), V3d_View::IsDepthTestEnabled()
    - Visual3d_View::ZBufferIsActivated(), Visual3d_View::SetZBufferActivity(), Visual3d_View::EnableDepthTest(), Visual3d_View::IsDepthTestEnabled()
    - Graphic3d_GraphicDriver::SetDepthTestEnabled(), Graphic3d_GraphicDriver::IsDepthTestEnabled()
    
    Activate Z-buffer by default, and manage it state only by Z-layer flags.

kgv

2015-05-29 10:19

developer   ~0041698

Please test the patch in branch CR26149_3.

git

2015-05-29 17:46

administrator   ~0041759

Branch CR26149_3 has been updated forcibly by mkv.

SHA-1: cbf92504b1f2ba2e8ad1d5463242a5730321ccd9

mkv

2015-06-01 15:12

tester   ~0041788

Dear BugMaster,
Branch CR26149_3 was rebased on current master of occt git-repository.
SHA-1: cbf92504b1f2ba2e8ad1d5463242a5730321ccd9

mkv

2015-06-01 15:13

tester   ~0041789

Dear BugMaster,
Branch CR26149_3 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: cbf92504b1f2ba2e8ad1d5463242a5730321ccd9

There are following compilation errors:
Linux:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR26149-3-master/job/CR26149-3-master_build_occt_linux/2/parsed_console/

../../../../src/OpenGl/OpenGl_View_2.cxx: In member function 'void OpenGl_View::DrawBackground(const Handle_OpenGl_Workspace&)':
../../../../src/OpenGl/OpenGl_View_2.cxx:170:3: error: expected ',' or ';' before 'if'
../../../../src/OpenGl/OpenGl_View_2.cxx:244:5: error: expected ';' before 'aCtx'
make[2]: *** [OpenGl_View_2.lo] Error 1

git

2015-06-01 15:22

administrator   ~0041790

Branch CR26149_3 has been updated by kgv.

SHA-1: fc71ef2683a35da07e8c85ee07ccb9f357745894


Detailed log of new commits:

Author: kgv
Date: Mon Jun 1 15:20:30 2015 +0300

    fix misprints

git

2015-06-01 15:24

administrator   ~0041791

Branch CR26149_4 has been created by kgv.

SHA-1: d5965794f80d182abe615e51737beadaa6fad86f


Detailed log of new commits:

Author: isz
Date: Mon Jun 1 15:24:02 2015 +0300

    0026149: Visualization - depth buffer should not be written within Z-layers without Graphic3d_ZLayerDepthWrite flag
    
    OpenGl_Workspace::updateMaterial() - do not activate writing into Depth buffer without Graphic3d_ZLayerDepthWrite flag.
    Add method OpenGl_Workspace::UseDepthWrite() to track glDepthMask() state.
    
    Drop the following outdated API methods conflicting with Z-layers API:
    - V3d_View::EnableDepthTest(), V3d_View::IsDepthTestEnabled()
    - Visual3d_View::ZBufferIsActivated(), Visual3d_View::SetZBufferActivity(), Visual3d_View::EnableDepthTest(), Visual3d_View::IsDepthTestEnabled()
    - Graphic3d_GraphicDriver::SetDepthTestEnabled(), Graphic3d_GraphicDriver::IsDepthTestEnabled()
    
    Activate Z-buffer by default, and manage it state only by Z-layer flags.

kgv

2015-06-01 15:27

developer   ~0041793

Please test branch CR26149_4 with fixed misprints.

mkv

2015-06-02 15:44

tester   ~0041848

Dear BugMaster,
Branch CR26149_4 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: d5965794f80d182abe615e51737beadaa6fad86f

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26149-4-master-occt-64/Debian70-64/bugs/vis/bug26149.html
http://occt-tests/CR26149-4-master-occt-64/Windows-64-VC10/bugs/vis/bug26149.html
bugs vis bug26149: OK

Testing on Linux:
occt component :
Total MEMORY difference: 97092391 / 96680788 [+0.43%]
Total CPU difference: 18740.81000000005 / 18441.46000000009 [+1.62%]
products component :
Total MEMORY difference: 23998843 / 24082869 [-0.35%]
Total CPU difference: 7847.550000000031 / 7841.8200000000215 [+0.07%]

Testing on Windows:
occt component :
Total MEMORY difference: 57034753 / 56961596 [+0.13%]
Total CPU difference: 17364.315308998885 / 17471.08239339882 [-0.61%]
products component :
Total MEMORY difference: 15395240 / 15399387 [-0.03%]
Total CPU difference: 6140.168159799967 / 6256.747707099968 [-1.86%]

There are following differences in images found by testdiff.
http://occt-tests/CR26149-4-master-occt-64/Debian70-64/diff-Debian70-64.html
http://occt-tests/CR26149-4-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html
IMAGE v3d materials bug24872_1: bug24872_1.png differs
IMAGE v3d materials bug24855: bug24855.png differs
IMAGE caf presentation F3: F3.png differs
IMAGE caf presentation F4: F4.png differs
IMAGE caf presentation F2: F2.png differs
IMAGE demo samples materials: materials.png differs
IMAGE bugs vis bug22819: bug22819_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug173_3: bug173_3_Driver1_Viewer1_View1.png differs
IMAGE bugs vis buc60740: buc60740_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug6145: bug6145_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug591: bug591_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug544: bug544_Driver1_Viewer1_View1.png differs
IMAGE bugs modalg_6 bug26180: bug26180_2.png differs
IMAGE bugs modalg_6 bug26180: bug26180_1.png differs

git

2015-06-02 15:44

administrator   ~0041849

Branch CR26149_4 has been updated by mkv.

SHA-1: 388067d2895783b4198b05dadebc5be3c4203531


Detailed log of new commits:

Author: mkv
Date: Tue Jun 2 15:43:41 2015 +0300

    Small correction ot test case for issue CR26149

mkv

2015-06-02 15:44

tester   ~0041850

Dear kgv,
could you please review following test case
bugs vis bug26149: OK - (big font in image)

git

2015-06-02 16:10

administrator   ~0041852

Branch CR26149_4 has been updated by kgv.

SHA-1: 026d0d31bc005f3dbd1a7cfc896b7c4eafc5bb12


Detailed log of new commits:

Author: kgv
Date: Tue Jun 2 16:10:08 2015 +0300

    OpenGl_Workspace::updateMaterial() - correct condition for transparent materials

git

2015-06-02 16:14

administrator   ~0041853

Branch CR26149_5 has been created by kgv.

SHA-1: df88ce7dea11bf3e73fc1dc284328564943903c8


Detailed log of new commits:

Author: isz
Date: Tue Jun 2 16:11:50 2015 +0300

    0026149: Visualization - depth buffer should not be written within Z-layers without Graphic3d_ZLayerDepthWrite flag
    
    OpenGl_Workspace::updateMaterial() - do not activate writing into Depth buffer without Graphic3d_ZLayerDepthWrite flag.
    Add method OpenGl_Workspace::UseDepthWrite() to track glDepthMask() state.
    
    Drop the following outdated API methods conflicting with Z-layers API:
    - V3d_View::EnableDepthTest(), V3d_View::IsDepthTestEnabled()
    - Visual3d_View::ZBufferIsActivated(), Visual3d_View::SetZBufferActivity(), Visual3d_View::EnableDepthTest(), Visual3d_View::IsDepthTestEnabled()
    - Graphic3d_GraphicDriver::SetDepthTestEnabled(), Graphic3d_GraphicDriver::IsDepthTestEnabled()
    
    Activate Z-buffer by default, and manage it state only by Z-layer flags.

kgv

2015-06-02 16:22

developer   ~0041854

Please test updated patch CR26149_5 which should fix image regressions on transparent objects.

> could you please review following test case
> bugs vis bug26149: OK - (big font in image)
test case has been taken from bug25783_1, so the image is OK.

mkv

2015-06-03 09:33

tester   ~0041876

Dear BugMaster,
Branch CR26149_5 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: df88ce7dea11bf3e73fc1dc284328564943903c8

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26149-5-master-occt-64/Debian70-64/bugs/vis/bug26149.html
http://occt-tests/CR26149-5-master-occt-64/Windows-64-VC10/bugs/vis/bug26149.html
bugs vis bug26149: OK

Testing on Linux:
occt component :
Total MEMORY difference: 96148260 / 96726615 [-0.60%]
Total CPU difference: 18290.649999999918 / 18391.330000000093 [-0.55%]
products component :
Total MEMORY difference: 24002088 / 24073311 [-0.30%]
Total CPU difference: 7708.360000000017 / 7840.410000000022 [-1.68%]

Testing on Windows:
occt component :
Total MEMORY difference: 56768900 / 56745671 [+0.04%]
Total CPU difference: 17316.922205199087 / 17309.590158198847 [+0.04%]
products component :
Total MEMORY difference: 15388942 / 15393011 [-0.03%]
Total CPU difference: 6144.645388499968 / 6255.468498899967 [-1.77%]

There are no differences in images found by testdiff.

mkv

2015-06-03 09:34

tester   ~0041877

Dear BugMaster,
There are following errors durung products_csharp_samples_windows compilation:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR26149-5-master/job/CR26149-5-master_build_products_csharp_samples_windows/1/parsed_console/
1>occcsharp_wrap.obj : error LNK2019: unresolved external symbol "public: void __cdecl V3d_View::EnableDepthTest(unsigned int)const " (?EnableDepthTest@V3d_View@@QEBAXI@Z) referenced in function CSharp_V3d_View_EnableDepthTest__SWIG_0
1>occcsharp_wrap.obj : error LNK2019: unresolved external symbol "public: unsigned int __cdecl V3d_View::IsDepthTestEnabled(void)const " (?IsDepthTestEnabled@V3d_View@@QEBAIXZ) referenced in function CSharp_V3d_View_IsDepthTestEnabled
1>..\win64\vc10\bin\OCCwrapCSharp.dll : fatal error LNK1120: 2 unresolved externals

git

2015-06-03 09:55

administrator   ~0041881

Branch CR26149_5 has been updated by kgv.

SHA-1: be3136298ec7a7525281a45778e4db2d299ef93c


Detailed log of new commits:

Author: kgv
Date: Wed Jun 3 09:55:35 2015 +0300

    V3d_View.cdl - remove removed methods

git

2015-06-03 09:58

administrator   ~0041882

Branch CR26149_6 has been created by kgv.

SHA-1: b45bb08f752f588438c14b00640b8c09af378fed


Detailed log of new commits:

Author: isz
Date: Wed Jun 3 09:58:10 2015 +0300

    0026149: Visualization - depth buffer should not be written within Z-layers without Graphic3d_ZLayerDepthWrite flag
    
    OpenGl_Workspace::updateMaterial() - do not activate writing into Depth buffer without Graphic3d_ZLayerDepthWrite flag.
    Add method OpenGl_Workspace::UseDepthWrite() to track glDepthMask() state.
    
    Drop the following outdated API methods conflicting with Z-layers API:
    - V3d_View::EnableDepthTest(), V3d_View::IsDepthTestEnabled()
    - Visual3d_View::ZBufferIsActivated(), Visual3d_View::SetZBufferActivity(), Visual3d_View::EnableDepthTest(), Visual3d_View::IsDepthTestEnabled()
    - Graphic3d_GraphicDriver::SetDepthTestEnabled(), Graphic3d_GraphicDriver::IsDepthTestEnabled()
    
    Activate Z-buffer by default, and manage it state only by Z-layer flags.

kgv

2015-06-03 09:59

developer   ~0041883

Please check compilation of the patch in branch CR26149_6, regression testing is not needed.

mkv

2015-06-03 13:50

tester   ~0041899

Dear BugMaster,
Branch CR26149_6 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: b45bb08f752f588438c14b00640b8c09af378fed

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

products_csharp_samples_windows was compiled without errors.

Branch CR26149_6 is TESTED.

git

2015-07-27 13:34

administrator   ~0043494

Branch CR26149_1 has been deleted by kgv.

SHA-1: e696bf2a3dda771c281b56ff25aca8850d847b5e

git

2015-07-27 13:34

administrator   ~0043495

Branch CR26149_2 has been deleted by kgv.

SHA-1: 6355e1fc6d071c2d30db5b113f1c6fa22a9a7be9

git

2015-07-27 13:34

administrator   ~0043496

Branch CR26149_3 has been deleted by kgv.

SHA-1: fc71ef2683a35da07e8c85ee07ccb9f357745894

git

2015-07-27 13:34

administrator   ~0043497

Branch CR26149_4 has been deleted by kgv.

SHA-1: 026d0d31bc005f3dbd1a7cfc896b7c4eafc5bb12

git

2015-07-27 13:34

administrator   ~0043498

Branch CR26149_5 has been deleted by kgv.

SHA-1: be3136298ec7a7525281a45778e4db2d299ef93c

git

2015-07-27 13:34

administrator   ~0043499

Branch CR26149_6 has been deleted by kgv.

SHA-1: b45bb08f752f588438c14b00640b8c09af378fed

git

2015-07-27 13:48

administrator   ~0043542

Branch CR26149 has been deleted by kgv.

SHA-1: f5af2455332a61cc9f0ce08ed868062c370f9083

Related Changesets

occt: master eae454e3

2015-06-03 06:58:10

isz


Committer: bugmaster Details Diff
0026149: Visualization - depth buffer should not be written within Z-layers without Graphic3d_ZLayerDepthWrite flag

OpenGl_Workspace::updateMaterial() - do not activate writing into Depth buffer without Graphic3d_ZLayerDepthWrite flag.
Add method OpenGl_Workspace::UseDepthWrite() to track glDepthMask() state.

Drop the following outdated API methods conflicting with Z-layers API:
- V3d_View::EnableDepthTest(), V3d_View::IsDepthTestEnabled()
- Visual3d_View::ZBufferIsActivated(), Visual3d_View::SetZBufferActivity(), Visual3d_View::EnableDepthTest(), Visual3d_View::IsDepthTestEnabled()
- Graphic3d_GraphicDriver::SetDepthTestEnabled(), Graphic3d_GraphicDriver::IsDepthTestEnabled()

Activate Z-buffer by default, and manage it state only by Z-layer flags.
Affected Issues
0026149
mod - src/Graphic3d/Graphic3d_CView.hxx Diff File
mod - src/Graphic3d/Graphic3d_GraphicDriver.cdl Diff File
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff File
mod - src/OpenGl/OpenGl_GraphicDriver_7.cxx Diff File
mod - src/OpenGl/OpenGl_GraphicDriver_713.cxx Diff File
mod - src/OpenGl/OpenGl_Layer.cxx Diff File
mod - src/OpenGl/OpenGl_Text.cxx Diff File
mod - src/OpenGl/OpenGl_View_2.cxx Diff File
mod - src/OpenGl/OpenGl_Workspace.cxx Diff File
mod - src/OpenGl/OpenGl_Workspace.hxx Diff File
mod - src/OpenGl/OpenGl_Workspace_5.cxx Diff File
mod - src/V3d/V3d_View.cdl Diff File
mod - src/V3d/V3d_View_5.cxx Diff File
mod - src/Visual3d/Visual3d_View.cdl Diff File
mod - src/Visual3d/Visual3d_View.cxx Diff File
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff File
add - tests/bugs/vis/bug26149 Diff File

Issue History

Date Modified Username Field Change
2015-04-25 08:45 kgv New Issue
2015-04-25 08:45 kgv Assigned To => kgv
2015-04-25 08:46 kgv Assigned To kgv => isz
2015-04-25 08:46 kgv Status new => assigned
2015-04-25 08:46 kgv Relationship added child of 0025783
2015-04-26 12:32 kgv Steps to Reproduce Updated
2015-04-26 12:32 kgv File Added: underlay_KO.png
2015-04-30 11:12 kgv Target Version 6.9.0 => 7.1.0
2015-04-30 12:13 git Note Added: 0040466
2015-05-14 11:59 git Note Added: 0040886
2015-05-14 12:02 git Note Added: 0040888
2015-05-14 12:04 isz Note Added: 0040889
2015-05-14 12:04 isz Assigned To isz => kgv
2015-05-14 12:04 isz Status assigned => resolved
2015-05-14 12:04 isz Steps to Reproduce Updated
2015-05-14 12:13 kgv Note Added: 0040891
2015-05-14 12:13 kgv Assigned To kgv => isz
2015-05-14 12:13 kgv Status resolved => assigned
2015-05-14 12:48 git Note Added: 0040898
2015-05-14 12:49 isz Note Added: 0040899
2015-05-14 12:49 isz Assigned To isz => kgv
2015-05-14 12:49 isz Status assigned => resolved
2015-05-14 18:00 git Note Added: 0041152
2015-05-18 12:51 kgv Note Added: 0041224
2015-05-18 12:51 kgv Assigned To kgv => isz
2015-05-18 12:51 kgv Status resolved => assigned
2015-05-18 12:51 kgv Summary Visualization - depth buffer should be cleared after bottom layer by default => Visualization - depth buffer should not be written within Z-layers without Graphic3d_ZLayerDepthWrite flag
2015-05-18 12:51 kgv Description Updated
2015-05-22 13:42 git Note Added: 0041425
2015-05-22 13:44 isz Note Added: 0041426
2015-05-22 13:44 isz Assigned To isz => kgv
2015-05-22 13:44 isz Status assigned => resolved
2015-05-22 14:44 kgv Note Added: 0041431
2015-05-22 14:44 kgv Assigned To kgv => isz
2015-05-22 14:44 kgv Status resolved => assigned
2015-05-26 13:31 git Note Added: 0041554
2015-05-27 11:40 git Note Added: 0041594
2015-05-27 11:41 isz Note Added: 0041595
2015-05-27 11:41 isz Assigned To isz => kgv
2015-05-27 11:41 isz Status assigned => resolved
2015-05-27 14:40 git Note Added: 0041604
2015-05-28 12:59 git Note Added: 0041653
2015-05-29 10:18 git Note Added: 0041697
2015-05-29 10:19 kgv Note Added: 0041698
2015-05-29 10:19 kgv Assigned To kgv => bugmaster
2015-05-29 10:19 kgv Status resolved => reviewed
2015-05-29 10:19 kgv Product Version => 6.9.0
2015-05-29 10:19 kgv Target Version 7.1.0 => 7.0.0
2015-05-29 12:45 mkv Assigned To bugmaster => mkv
2015-05-29 17:46 git Note Added: 0041759
2015-06-01 15:12 mkv Note Added: 0041788
2015-06-01 15:13 mkv Note Added: 0041789
2015-06-01 15:13 mkv Assigned To mkv => kgv
2015-06-01 15:13 mkv Status reviewed => assigned
2015-06-01 15:22 git Note Added: 0041790
2015-06-01 15:24 git Note Added: 0041791
2015-06-01 15:27 kgv Note Added: 0041793
2015-06-01 15:27 kgv Assigned To kgv => bugmaster
2015-06-01 15:27 kgv Status assigned => resolved
2015-06-01 15:28 kgv Status resolved => reviewed
2015-06-01 21:05 mkv Assigned To bugmaster => mkv
2015-06-02 15:44 mkv Note Added: 0041848
2015-06-02 15:44 git Note Added: 0041849
2015-06-02 15:44 mkv Note Added: 0041850
2015-06-02 15:44 mkv Assigned To mkv => kgv
2015-06-02 15:44 mkv Status reviewed => feedback
2015-06-02 15:45 mkv Test case number => bugs vis bug26149
2015-06-02 16:10 git Note Added: 0041852
2015-06-02 16:14 git Note Added: 0041853
2015-06-02 16:22 kgv Note Added: 0041854
2015-06-02 16:22 kgv Assigned To kgv => bugmaster
2015-06-02 16:22 kgv Status feedback => reviewed
2015-06-02 16:36 mkv Assigned To bugmaster => mkv
2015-06-03 09:33 mkv Note Added: 0041876
2015-06-03 09:34 mkv Note Added: 0041877
2015-06-03 09:34 mkv Assigned To mkv => kgv
2015-06-03 09:34 mkv Status reviewed => assigned
2015-06-03 09:55 git Note Added: 0041881
2015-06-03 09:58 git Note Added: 0041882
2015-06-03 09:59 kgv Note Added: 0041883
2015-06-03 09:59 kgv Assigned To kgv => bugmaster
2015-06-03 09:59 kgv Status assigned => resolved
2015-06-03 09:59 kgv Status resolved => reviewed
2015-06-03 10:05 mkv Assigned To bugmaster => mkv
2015-06-03 13:50 mkv Note Added: 0041899
2015-06-03 13:50 mkv Assigned To mkv => bugmaster
2015-06-03 13:50 mkv Status reviewed => tested
2015-06-05 15:00 bugmaster Changeset attached => occt master eae454e3
2015-06-05 15:00 bugmaster Status tested => verified
2015-06-05 15:00 bugmaster Resolution open => fixed
2015-07-27 13:34 git Note Added: 0043494
2015-07-27 13:34 git Note Added: 0043495
2015-07-27 13:34 git Note Added: 0043496
2015-07-27 13:34 git Note Added: 0043497
2015-07-27 13:34 git Note Added: 0043498
2015-07-27 13:34 git Note Added: 0043499
2015-07-27 13:48 git Note Added: 0043542
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed
2021-12-08 15:44 kgv Relationship added parent of 0032724